> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Flux 视频结果



## OpenAPI

````yaml openapi/cn/flux.json GET /bfl/v1/fetch
openapi: 3.1.0
info:
  title: Flux API DOCS
  version: 1.0.0
  description: TTAPI Flux API 接口服务，目前集成了市场上最为领先的视频大模型sora2。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /bfl/v1/fetch:
    get:
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FetchRequest'
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - 'PENDING_QUEUE '
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: 响应信息
                  jobId:
                    type: string
                    description: 任务ID
                  data:
                    type: object
                    description: 任务结果
                    properties:
                      jobId:
                        type: string
                        description: 任务ID
                      prompt:
                        type: string
                        description: 提示词
                      mode:
                        type: string
                      draft:
                        type: boolean
                        description: 是否草稿模式
                      draftCache:
                        type: string
                        description: 加密 draft-cache 缓存包。
                      videoUrl:
                        type: string
                        description: 生成视频地址。有效期详见[存储与持久化](/grids/cn/faq/storage)
                example:
                  status: SUCCESS
                  message: ''
                  jobId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx
                  data:
                    jobId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx
                    prompt: ...
                    quota: '16.80'
                    videoUrl: https://cdn.ttapi.io/flux/20260808/xxx.mp4
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    FetchRequest:
      type: object
      properties:
        jobId:
          type: string
          description: 生成图像接口同步返回的jobId
      required:
        - jobId
  responses:
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````